Package org.apache.synapse.transport.passthru

## Enum ProtocolState

- java.lang.Object
- - java.lang.Enum<ProtocolState>
  - - org.apache.synapse.transport.passthru.ProtocolState

- All Implemented Interfaces:
    `Serializable`, `Comparable<ProtocolState>`

      public enum ProtocolState
      extends Enum<ProtocolState>

  State of a request or a response in transport receiver or sender is represented in these values.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CLOSED` | The connection is closed
    `CLOSING` | The connection is closing
    `REQUEST_BODY` | The connection is reading the request body
    `REQUEST_DONE` | Request is completely received
    `REQUEST_HEAD` | The connection is reading the request headers
    `REQUEST_READY` | Connection is at the initial stage ready to receive a request
    `RESPONSE_BODY` | The connection si reading the response body
    `RESPONSE_DONE` | The response is completed
    `RESPONSE_HEAD` | The connection is reading the response headers
    `WSDL_RESPONSE_DONE` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ProtocolState` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static ProtocolState[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### REQUEST_READY

          public static final ProtocolState REQUEST_READY

      Connection is at the initial stage ready to receive a request

    - #### REQUEST_HEAD

          public static final ProtocolState REQUEST_HEAD

      The connection is reading the request headers

    - #### REQUEST_BODY

          public static final ProtocolState REQUEST_BODY

      The connection is reading the request body

    - #### REQUEST_DONE

          public static final ProtocolState REQUEST_DONE

      Request is completely received

    - #### RESPONSE_HEAD

          public static final ProtocolState RESPONSE_HEAD

      The connection is reading the response headers

    - #### RESPONSE_BODY

          public static final ProtocolState RESPONSE_BODY

      The connection si reading the response body

    - #### RESPONSE_DONE

          public static final ProtocolState RESPONSE_DONE

      The response is completed

    - #### CLOSING

          public static final ProtocolState CLOSING

      The connection is closing

    - #### CLOSED

          public static final ProtocolState CLOSED

      The connection is closed

    - #### WSDL_RESPONSE_DONE

          public static final ProtocolState WSDL_RESPONSE_DONE

  - ### Method Detail

    - #### values

          public static ProtocolState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ProtocolState c : ProtocolState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ProtocolState valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null